<template>
  <div>
    <p v-if="info.text" :class="info.isClass">{{info.text}}</p>
  </div>
</template>

<script>
  import {mapActions, mapGetters} from "vuex"
  import STEPS from '@/constants/steps.js'

  export default {
    name: "StatusWinner",
    data() {
      return {
        STEP: STEPS
      }
    },
    computed: {
      ...mapGetters({
        order: 'account/order',
        canAcceptResource: 'account/canAcceptResource',
        canSubmitDoc:  'account/canSubmitDoc'
      }),
      info() {
        switch (this.order.orderStatus) {
          case this.STEP.BOOKED:
            return {
              isClass: 'winnerGrey',
              text: 'Заказчик назначил вас на этот рейс. Назначьте ресурсы для исполнения'
            };
          case this.STEP.ALLOCATED:
            return {
              isClass: 'winnerGrey',
              text: 'Подпишите и отправьте заявку, чтобы начать исполнять заказ'
            };
          case this.STEP.CONTRACTED:
            return {
              isClass: 'winnerGrey',
              text: 'Вы подписали заявку и перешли к исполнению заказа'
            };
          case this.STEP.LOSER:
            return {
              isClass: 'caution',
              text: 'Вы не назначили вовремя машину. Мы вынуждены снять вас с заказа и понизить ваш рейтинг'
            };
          case this.STEP.CANCELLED:
            return {
              isClass: 'caution',
              text: 'Вы не подписали вовремя заявку. Мы вынуждены снять вас с заказа и понизить ваш рейтинг'
            };
          default:
            return {
              isClass: 'common',
              text: ''
            }
        }
      }
    },
    methods: {
      ...mapActions({
        acceptResource: 'account/acceptResource',
        requestExecution: 'account/requestExecution'
      })
    }
  }
</script>
